<?php
/**
 * 
 * @file link.php
 * @copyright (c) 2005 - 2007 eifr.com
 * @license http://www.gnu.org/copyleft/gpl.html gnu/gpl
 * eifr is free software
 */

require_once('../../includes/inc_admin.php');
require_once(EIFR_ROOT . 'libraries/pages.php');
require_once('class_link.php');

$url = 'mod_link/link.php';
Common::checkAdminFileAuth($url); //check file authority
$clComLink = new ComLink();

$act = '';
if (isset($_GET['act'])) $act = $_GET['act'];

switch ($act) {
    case 'setvalue':
        $clComLink -> setLinkFieldRecords();
        break;

    case 'delete_forever':
        $clComLink -> deleteRecords();
        break;

    default :
        $clComLink -> layout_link();
        break;
} 

?>